#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.sat-elita.info/                                          #
#                                                                              #
################################################################################

. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then

  info1="Patch aktywowany"
  info2="Patch deaktywowany"
  info3="Zrestartuj tuner aby zastosowac zmiany!"
  
elif [ $lang == en ]; then

  info1="Patch activated"
  info2="Patch deactivated"
  info3="Restart box to save changes!"

elif [ $lang == ar ]; then

  info1="Patch تم تفعيل"
  info2="Patch إيقاف تفعيل"
  info3="إعادة التشغيل لحفظ التغييرات"
  
elif [ $lang == fr ]; then

  info1="Patch active"
  info2="Patch desactive"
  info3="Redemarrez le decodeur pour enregistrer les changements!"  

elif [ $lang == de ]; then

  info1="Patch aktiviert"
  info2="Patch deaktiviert"
  info3="Bitte die Kathrein Neustarten um die Einstellungen zu aktiwieren!"
  
elif [ $lang == it ]; then

  info1="Patch attivato"
  info2="Patch disattivato"
  info3="Riavvia il decoder per salvare i cambiamenti!"

elif [ $lang == es ]; then
  info1="Parche activado"
  info2="Parche desactivado"
  info3="Reiniciar la Kathi para salvar los cambios!"
     
fi
#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

highSR_on()
{
 echo highSR=on >/var/config/highSR.conf
 sync
 echo "$info1"
 echo "\n$info3" 
} 

highSR_off()
{
 echo highSR=off >/var/config/highSR.conf
 sync
 echo "$info2"
 echo "\n$info3" 
}

#-------------------------------------------------------------------------------
#use section
#-------------------------------------------------------------------------------

case "$1" in
 'on')
    highSR_on
    ;;
 'off')
    highSR_off
    ;;
 *)
    echo -e "\nUse: highSR.sh on|off"
    ;;
esac

echo ""
exit 0